apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ .Release.Name }}-config
  labels:
{{ include "app.labels" . | indent 4 }}
data:
  check-db.sh: |-
    #!/bin/sh

    until nc -z -v -w30 {{ .Release.Name }}-mysql 3306
    do
      echo "Waiting for database connection..."
      # wait for 5 seconds before check again
      sleep 5
    done